import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { CanvasWrapperRenderEvent, RenderQuality, ViewFit } from '../../classes/pdfjs-objects';
import { PdfApi } from '../../classes/pdfapi';
import { PdfjsItem } from '../../classes/pdfjs-item';
export declare class PdfjsCanvasWrapperComponent implements OnInit, OnDestroy {
    private document;
    private API;
    private elementRef;
    multiCanvas: boolean;
    endRender: EventEmitter<CanvasWrapperRenderEvent>;
    startRender: EventEmitter<PdfjsItem>;
    width: string;
    height: string;
    notRendered: boolean;
    private fit$;
    private size$;
    private item$;
    private quality$;
    private scale$;
    private pdfRenderTask;
    private subRender;
    constructor(document: Document, API: PdfApi, elementRef: ElementRef);
    fit: ViewFit;
    size: number;
    item: PdfjsItem;
    quality: RenderQuality;
    scale: number;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private renderPdfjsPageToCanvas;
    /**
     * Render page in canvas
     */
    private renderItemInCanvasFitted;
    /**
     * Cancel Render Task if it exist
     */
    private cancelRenderTask;
    /**
     * Render page in canvas
     */
    private renderItemInCanvasVerticalFitted;
    /**
     * Render page in canvas
     */
    private renderItemInCanvasHorizontalFitted;
    /**
     * Render page in canvas
     */
    private getRenderFittedInCanvas;
    /**
     * Facility for avoid to call getViewport to much
     */
    private factorViewport;
    /**
     * Define sizes of canvas
     */
    private setCanvasSizes;
    /**
     * Destroy canvas : clean and remove
     */
    private destroyCanvas;
    /**
     * Get current canvas : clean and remove
     */
    private getCanvas;
}
