import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PdfjsControl } from '../../controls/pdfjs-control';
import { PreviewEvent, RenderQuality, ThumbnailLayout, ViewFit } from '../../classes/pdfjs-objects';
import { PdfjsItem } from '../../classes/pdfjs-item';
export declare class PdfjsThumbnailComponent implements OnInit, OnDestroy {
    private elementRef;
    ThumbnailLayout: typeof ThumbnailLayout;
    ViewFit: typeof ViewFit;
    state: any;
    width: string;
    height: string;
    /**
     * The Thumbnail end to render
     */
    endRender: EventEmitter<PdfjsItem>;
    /**
     * The Thumbnail start to render
     */
    startRender: EventEmitter<PdfjsItem>;
    /**
     * The Thumbnail has been over
     */
    showPreview: EventEmitter<PreviewEvent>;
    /**
     * The button remove has been clicked
     */
    removeButtonClick: EventEmitter<PdfjsItem>;
    /**
     * Select Item
     */
    selectItem: EventEmitter<PdfjsItem>;
    quality: RenderQuality;
    previewEnabled: boolean;
    draggable: boolean;
    removable: boolean;
    borderWidth: number;
    fitSize: number;
    layout: ThumbnailLayout;
    vertical: boolean;
    selected: boolean;
    private subscription;
    private containerIsSelected$;
    private pdfjsControl$;
    private item$;
    private innerItem;
    constructor(elementRef: ElementRef);
    /**
     * Define the pdfjsControl for this thumbnail container
     */
    pdfjsControl: PdfjsControl;
    containerIsSelected: boolean;
    item: PdfjsItem;
    removeAnimationDone(toState: string): void;
    mouseOut(): void;
    getPadding(): string;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Handlers
     */
    startRenderHandler(): void;
    endRenderHandler(): void;
    clickHandler(): void;
    removeItemHandler(): void;
    mouseoverHandler($event: MouseEvent): void;
    private computeSize;
    private unsubscribe;
}
