import { ElementRef, OnInit } from '@angular/core';
import { PreviewEvent, RenderQuality, ThumbnailLayout } from '../../../classes/pdfjs-objects';
import { PdfjsItem } from '../../../classes/pdfjs-item';
export declare class PdfjsPreviewComponent implements OnInit {
    private elementRef;
    state: string;
    layout: ThumbnailLayout;
    /**
     * Delay for show preview. 0 => disable preview
     */
    delay: number;
    /**
     * Height of preview
     */
    height: number;
    /**
     * Quality of preview
     */
    quality: RenderQuality;
    item: PdfjsItem;
    private previewEvent$;
    constructor(elementRef: ElementRef);
    previewEvent: PreviewEvent;
    ngOnInit(): void;
    /**
     * The thumbnail is endRender, position it and show it
     */
    endRenderHandler(item: PdfjsItem): void;
    private addVerticalCaret;
    private addHorizontalCaret;
    private resetPreviewThumbnail;
}
