import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { PDFPageProxy, PDFPageViewport } from 'pdfjs-dist';
import { PdfjsControl } from '../../controls/pdfjs-control';
import { PdfjsGroupControl } from '../../controls/pdfjs-group-control';
import { CanvasWrapperRenderEvent, RenderQuality, ViewFit } from '../../classes/pdfjs-objects';
import { KeysService } from '../../services/keys.service';
import { PdfjsItem } from '../../classes/pdfjs-item';
export declare class PdfjsViewComponent implements OnDestroy {
    private elementRef;
    private keysService;
    size: number;
    item: PdfjsItem;
    startRender: EventEmitter<PdfjsItem>;
    endRender: EventEmitter<PdfjsItem>;
    mouseWheelNav: boolean;
    keysNav: boolean;
    /**
     * Render quality
     */
    quality: RenderQuality;
    /**
     * Render quality
     */
    textLayer: boolean;
    pdfPageProxy: PDFPageProxy;
    viewport: PDFPageViewport;
    private pageRef;
    private subscription;
    private canvasWidth;
    private canvasHeight;
    private width;
    private height;
    private pdfjsControl;
    private innerFit;
    private innerScale;
    constructor(elementRef: ElementRef, keysService: KeysService);
    /**
     * PdfjsControl ou PdfjsGroupControl
     */
    control: PdfjsControl | PdfjsGroupControl;
    /**
    * Fit direction
    */
    fit: ViewFit;
    /**
    * Scale of page
    */
    scale: number;
    ngOnDestroy(): void;
    hasPageSelected(): boolean;
    /**
     * mousewheel
     */
    onMouseWheel(event: WheelEvent): void;
    /**
     * set focus
     */
    onFocus(event: MouseEvent): void;
    startRenderHandler(): void;
    endRenderHandler(obj: CanvasWrapperRenderEvent): void;
    /**
     * Compute size function of fitSelected
     */
    private computeSize;
    private setSizesFromClientRect;
    private defineSizesFromCanvasSizes;
    private setPdfjsGroupControl;
    private setPdfjsControl;
    private setItem;
    private unsubscribe;
}
