import { PDFPromise } from 'pdfjs-dist';
import { BehaviorSubject } from 'rxjs';
import { PdfjsCommand } from './pdfjs-command';
import { PdfjsItemEvent, PdfPage, PdfSource } from '../classes/pdfjs-objects';
import { PdfjsItem } from '../classes/pdfjs-item';
export declare class PdfjsControl implements PdfjsCommand {
    id: string;
    pdfId: string;
    itemEvent$: BehaviorSubject<PdfjsItemEvent>;
    selectedItem$: BehaviorSubject<PdfjsItem>;
    selectedIndex$: BehaviorSubject<number>;
    private API;
    private source;
    private items;
    private autoSelect;
    private itemIndex;
    private addItemEvent;
    private removeItemEvent;
    constructor();
    readonly disabled: boolean;
    getPdfPages(): PdfPage[];
    getItemByIndex(idx: number): PdfjsItem;
    getPageNumber(): number;
    containsItem(item: PdfjsItem): boolean;
    indexOfItem(item: PdfjsItem): number;
    addItem(item: PdfjsItem, idx?: number): void;
    removeItem(item: PdfjsItem): void;
    load(source: PdfSource, autoSelect?: boolean): PDFPromise<number>;
    unload(): void;
    unselect(): number;
    selectPageIndex(index: number): number;
    selectItemIndex(index: number): number;
    selectFirst(): number;
    selectLast(): number;
    nextIsSelectable(): boolean;
    previousIsSelectable(): boolean;
    selectNext(): number;
    selectPrevious(): number;
    rotate(angle: number): void;
    rotateSelected(angle: number): void;
    reload(): PDFPromise<number>;
    /**
     * index based 0
     */
    getSelectedItemIndex(): number;
    /**
     * index based 1
     */
    getSelectedPageIndex(): number;
    isEqual(other: PdfjsControl): boolean;
    private subscribeToAddItem;
    private processAddItemEvent;
    private subscribeToRemoveItem;
    private processRemoveItemEvent;
    private indexOfItemByIds;
    private isSelected;
    private fixAfterAddItem;
    private fixAfterRemoveItem;
    private isValidList;
    private isValidIndex;
    /**
     * build items
     */
    private processDocument;
    private buildPdfjsItems;
    private emptyItems;
}
