import { ThumbnailDragService } from './thumbnail-drag.service';
import { KeysService } from './keys.service';
export declare class EventDocumentService {
    private document;
    private thumbnailDragService;
    private keysService;
    private static DEBUG_OVER;
    private static DONE;
    constructor(document: Document, thumbnailDragService: ThumbnailDragService, keysService: KeysService);
    addEventListeners(): void;
    private onClickInDocument;
    private onKeyDownInDocument;
    private onScrollInDocument;
    /**
     * On drag in the document
     */
    private onDragOverInDocument;
    /**
     * Drop thumbnail in any element
     */
    private onDropInDocument;
    /**
     * Drag item in container
     */
    private onDragOverContainer;
    /**
     * Drag out Container
     */
    private onDragOutContainer;
    /**
     * Drag in the same container
     */
    private onDragOverSameContainer;
    private onDragOverNewContainer;
    /**
     * Compute if the thumbnail have to insert
     */
    private getPositionFix;
    /**
     * Add css class for debug the moving of thumbnail over an other
     */
    private debugThumbnailOver;
    private removeDebugBorder;
    /**
     * get thumbnails element mouseover
     */
    private getThumbnailsContainerOver;
    /**
     * get thumbnail element mouseover
     */
    private getThumbnailOver;
}
